Skip to main content
GET
/
screening
/
trlink
/
customers
/
{customerId}
/
integrations
TypeScript
const response: Promise<FireblocksResponse<TRLinkCustomerIntegrationsListResponse>> = fireblocks.tRLink.getTRLinkCustomerIntegrations(tRLinkApiGetTRLinkCustomerIntegrationsRequest);
[
  {
    "customerIntegrationId": "123e4567-e89b-12d3-a456-426614174000",
    "createDate": "2025-01-20T10:30:00.000Z",
    "lastUpdate": "2025-01-24T08:45:00.000Z",
    "partner": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "ident": "notabene",
      "name": "Notabene",
      "baseUrl": "https://api.notabene.id",
      "active": true,
      "isTest": false,
      "description": "Travel Rule compliance provider"
    },
    "customer": {
      "id": "550e8400-e29b-41d4-a716-446655440001",
      "tenantId": "550e8400-e29b-41d4-a716-446655440003",
      "discoverable": "discoverable",
      "shortName": "Acme Corp",
      "fullLegalName": "Acme Corporation Ltd.",
      "countryOfRegistration": "US",
      "createDate": "2025-01-20T10:30:00.000Z",
      "lastUpdate": "2025-01-24T08:45:00.000Z",
      "geographicAddress": {
        "addressLine": [
          "Suite 100"
        ],
        "streetName": "Main Street",
        "buildingNumber": "123",
        "floor": "5",
        "postBox": "PO Box 456",
        "postCode": "10001",
        "townName": "New York",
        "districtName": "Manhattan",
        "countrySubDivision": "NY",
        "country": "US"
      },
      "nationalIdentification": "{\"nationalIdentifierType\":\"LEIXG\",\"nationalIdentifier\":\"5493001KJTIIGC8Y1R12\",\"countryOfIssue\":\"US\"}",
      "dateOfIncorporation": "2015-03-15",
      "vaults": [
        0,
        1,
        2
      ],
      "trPrimaryPurpose": "Virtual asset service provider"
    },
    "apiKey": "fb_***************",
    "secret": "***"
  }
]

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

customerId
string<uuid>
required

Customer unique identifier

Response

Customer integrations retrieved successfully

customerIntegrationId
string<uuid>
required

Customer integration unique identifier

Example:

"123e4567-e89b-12d3-a456-426614174000"

createDate
string<date-time>
required

Timestamp when the integration was created (ISO 8601 format)

Example:

"2025-01-20T10:30:00.000Z"

lastUpdate
string<date-time>
required

Timestamp when the integration was last updated (ISO 8601 format)

Example:

"2025-01-24T08:45:00.000Z"

partner
object
required
customer
object
required
apiKey
string | null

API key for partner integration (censored for security)

Example:

"fb_***************"

secret
string | null

Secret for partner integration (censored for security)

Example:

"***"